Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grails.converters.deep
Class JSON

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.AbstractConverter<JSONWriter>
          grails.converters.JSON
              grails.converters.deep.JSON

All Implemented Interfaces:
  Converter<JSONWriter>

Deprecated. The Converters framework has been refactored and this made the deep Converters obsolete

    @Deprecated
    public class JSON

extends JSON

A converter that converts domain classes, Maps, Lists, Arrays, POJOs and POGOs to JSON (Including nested Domain Classes)

Author:
  Siegfried Puchbauer

Nested Class Summary

Nested classes/interfaces inherited from class grails.converters.JSON
`JSON.Builder`

Nested classes/interfaces inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`Converter.CircularReferenceBehaviour`

Field Summary
`static String` | `CONFIGURATION_NAME` Deprecated.

Fields inherited from class grails.converters.JSON
`referenceStack, writer`

Fields inherited from interface org.codehaus.groovy.grails.web.converters.Converter
`DEFAULT_REQUEST_ENCODING`

Constructor Summary
`JSON()` Deprecated.

Method Summary
`protected ConverterConfiguration<JSON>` | `initConfig()` Deprecated.

Methods inherited from class grails.converters.JSON
`build, convertAnother, createNamedConfig, getDepth, getNamedConfig, getWriter, handleCircularRelationship, lookupObjectMarshaller, parse, parse, parse, parse, property, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, registerObjectMarshaller, render, render, setPrettyPrint, setTarget, toString, use, use, value, withDefaultConfiguration`

Methods inherited from class org.codehaus.groovy.grails.web.converters.AbstractConverter
`createBeanWrapper, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CONFIGURATION_NAME

    public static final String CONFIGURATION_NAME

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### JSON

    public JSON()

  Deprecated.

Method Detail

### initConfig

    protected ConverterConfiguration<JSON> initConfig()

  Deprecated.
  Overrides:
    `initConfig` in class `JSON`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD